.TH STC 1 "2020-09-02" 1.0
.SH NAME
stc \- Simple Telnet Client
.SH SYNOPSIS
.B stc
address|hostname [port]
.SH DESCRIPTION
.B stc
is a Simple Telnet Client that take at least an IP address or a domain name as a first argument. If a domain name is provided, it will try to resolve it.
Optionnaly it can take a port number as a second argument. In this case it will be used instead of the default (which is 23).
.SH EXIT STATUS
.TP
0
if no error uncountered
.TP
1
if the wrong amount of arguments has been given
.TP
2
if it failed to initialize network connection (socket, NS resolution, ...)
.TP
3
if it failed to setup terminal
.TP
4
if it failed to create epoll instance
.TP
5
if it failed to set signal handler for SIGTERM
.TP
6
if it failed to add a file descriptor to the epoll instance (for stdin or the socket)
.TP
7
if error happened during epoll_wait
.TP
8
if it failed to receive data
.TP
9
if it failed to send data
.TP
10
if unattended file descriptor is raised while polling
.SH AUTHOR
Franck STAUFFER
.I <franck.stauffer@monaco.mc>

